#ifndef _SIMPLEENTITY_DOT_H_INCLUDED_
#define _SIMPLEENTITY_DOT_H_INCLUDED_

// Implementation of a simple entity
class SimpleEntity:public snbfrx::Entity
{
public:
    SimpleEntity( int id, EntityFactory* pfactory );
    virtual ~SimpleEntity();

    // resets the health of the entity
    void reset();

    virtual bool update();
    virtual void render();

private:
    // entity id
    int m_id;
    
    // health remaining
    int m_health;    
};

#endif